<template>
	<div>
		<el-tabs v-model="activeName" @tab-click="handleClick">
			<el-tab-pane label="招聘列表" name="first">
				<div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>状态：</span>
						<el-select v-model="status" style="width:150px;margin-left: 10px;" @change="phoneSelect()">
							<el-option v-for="item in statesnum" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;">
						<span>企业名称：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入企业名称"
							v-model="companyName">
						</el-input>&nbsp;&nbsp;
					</div>
					<!-- <div style="position: relative;display: inline-block;">
						<span>姓名：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入姓名"
							v-model="userNameT">
						</el-input>&nbsp;&nbsp;
					</div> -->
					<div style="position: relative;display: inline-block;">
						<span>岗位名称：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入岗位名称"
							v-model="userName">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;">
						<span>城市名称：</span>
						<el-input style="width: 200px;" @keydown.enter.native="phoneSelect" placeholder="请输入城市名称"
							v-model="phone">
						</el-input>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>学历：</span>
						<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入学历" v-model="resumesEducationT">
						</el-input>&nbsp;&nbsp; -->
						<el-select v-model="resumesEducationT" style="width:150px;margin-left: 10px;"
							@change="phoneSelect()">
							<el-option v-for="item in xlData" :key="item.value" :label="item.value" :value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>工作经验：</span>
						<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入工作经验" v-model="resumesWorkExperienceT">
						</el-input>&nbsp;&nbsp; -->
						<el-select v-model="resumesWorkExperienceT" style="width:150px;margin-left: 10px;"
							@change="phoneSelect()">
							<el-option v-for="item in gzjyData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="position: relative;display: inline-block;margin: 5px;">
						<span>期望薪资：</span>
						<!-- <el-input style="width: 200px;" @keydown.enter.native="select" placeholder="请输入期望薪资" v-model="resumesCompensationT">
						</el-input>&nbsp;&nbsp; -->
						<el-select v-model="resumesCompensationT" style="width:150px;margin-left: 10px;"
							@change="phoneSelect()">
							<el-option v-for="item in qwxzData" :key="item.value" :label="item.value"
								:value="item.value">
							</el-option>
						</el-select>&nbsp;&nbsp;
					</div>
					<div style="margin:5px;display: inline-block;">
						<span>开始时间：</span>
						<el-date-picker style="width: 160px;margin-left: 10px;" v-model="startTime" align="right"
							type="date" format="yyyy-MM-dd" value-format="yyyy-MM-dd" placeholder="选择开始时间">
						</el-date-picker>&nbsp;&nbsp;&nbsp;
					</div>
					<div style="margin:5px;display: inline-block;">
						<span>截止时间：</span>
						<el-date-picker style="width: 160px;margin-left: 10px;" v-model="endTime" align="right"
							type="date" format="yyyy-MM-dd" value-format="yyyy-MM-dd" placeholder="选择截止时间">
						</el-date-picker>
					</div>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="phoneSelect">查询
					</el-button>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document" @click="cleans">重置
					</el-button>&nbsp;&nbsp;
					<el-button style="margin-left:15px;" size="mini" type="primary"
						:disabled="!isAuth('recruitListS:add')" icon="document" @click="addNotice()">添加
					</el-button>
					<el-button style='margin-left:15px;' size="mini" type="warning" icon="document"
						:disabled="!isAuth('user:daochu')" @click="exportBtn">导出Excel
					</el-button>
				</div>
				<div style="color: orange;"> * 导出数据提示：导出数据前请进行时间或者状态等筛选，否则导出单量过多易出现卡顿或系统崩溃</div>
				<el-table v-loading="tableDataLoading" :data="tableData.records">
					<el-table-column fixed prop="postPushId" label="编号" width="50">
					</el-table-column>
					<el-table-column prop="userName" label="姓名" width="150">
						<template slot-scope="scope">
							　<span style="color: #4f9dec;cursor: pointer;" v-if="scope.row.userName"
								@click="updates(scope.row.userId)" v-text="scope.row.userName"></span>
						</template>
					</el-table-column>
					<el-table-column prop="ruleClassifyName" label="岗位名称">
					</el-table-column>
					<el-table-column prop="stationName" label="职位名称">
					</el-table-column>
					<el-table-column prop="companyName" label="企业名称" width="200">
					</el-table-column>
					<el-table-column prop="positionDetails" label="职位信息" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.positionDetails"></div>
									<div style="width: 400px;" v-html="scope.row.positionDetails"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<!-- <el-table-column prop="email" label="邮箱地址">
					</el-table-column> -->
					<el-table-column prop="salaryRange" label="薪资范围">
					</el-table-column>
					<el-table-column prop="education" label="学历">
					</el-table-column>
					<el-table-column prop="experience" label="经验">
					</el-table-column>
					<el-table-column prop="industry" label="行业" width="300">
					</el-table-column>
					<el-table-column prop="typeDesc" label="招聘类型">
					</el-table-column>
					<el-table-column prop="positionTag" label="标签" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference"  v-html="scope.row.positionTag"></div>
									<div style="width: 400px;" v-html="scope.row.positionTag"></div>
								</el-popover>
							</div>
						</template>
					</el-table-column>
					<el-table-column prop="welfareTag" label="公司福利" width="200">
						<template slot-scope="scope">
							<div
								style="display: -webkit-box;-webkit-box-orient: vertical;-webkit-line-clamp: 3;overflow: hidden;max-height:80px;">
								<el-popover placement="top-start" title="" trigger="hover">
									<div slot="reference">{{scope.row.welfareTag}}</div>
									<div style="width: 400px;">{{scope.row.welfareTag}}</div>
								</el-popover>
							</div>
						</template>
					</el-table-column>

					<el-table-column prop="province" label="省">
					</el-table-column>
					<el-table-column prop="city" label="市">
					</el-table-column>
					<el-table-column prop="county" label="区">
					</el-table-column>
					<el-table-column prop="address" label="详情地址" width="200">
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="200">
					</el-table-column>
					<el-table-column prop="isRecommend" label="是否推荐" fixed="right">
						<template slot-scope="scope">
							<el-switch v-model="scope.row.isRecommend"
								@change="changeTj(scope.row.postPushId,scope.row.isRecommend)"
								:active-value="openValue2" :disabled="!isAuth('userList:delete')"
								:inactive-value="closeValue2" active-color="#13ce66" inactive-color="#ff4949">
							</el-switch>
						</template>
					</el-table-column>
					<el-table-column prop="status" label="状态" fixed="right">
						<template slot-scope="scope">
							<span style="color: #999;" v-if="scope.row.status==1">待审核</span>
							<span style="color: #ff4949;" v-else-if="scope.row.status==3">审核拒绝</span>
							<span style="color: #999;" v-else-if="scope.row.status==4">已取消</span>
							<el-switch v-else v-model="scope.row.status"
								@change="change(scope.row.postPushId,scope.row.userId)" :active-value="openValue"
								:disabled="!isAuth('userList:delete')" :inactive-value="closeValue"
								active-color="#13ce66" inactive-color="#ff4949">
							</el-switch>
						</template>
					</el-table-column>
					<el-table-column prop="statusDesc" label="状态" fixed="right">
						<template slot-scope="scope">
							<span style="color: #999;" v-if="scope.row.status==1">待审核</span>
							<span style="color: #999;" v-else-if="scope.row.status==2">审核通过</span>
							<span style="color: #ff4949;" v-else-if="scope.row.status==3">审核拒绝</span>
							<span style="color: #999;" v-else-if="scope.row.status==4">已取消</span>
							<span style="color: #999;" v-else-if="scope.row.status==5">已关闭</span>
							<span style="color: #999;" v-else-if="scope.row.status==6">暂存中</span>
						</template>
					</el-table-column>
					<el-table-column fixed="right" label="操作" width="180">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" :disabled="!isAuth('recruitListS:update')"
								@click="addNotice(scope.row)">修改</el-button>
							<el-button size="mini" type="primary" :disabled="!isAuth('recruitListS:update')"
								@click="shenhe(scope.row)" style="margin: 3px;" v-if="scope.row.status==1">审核
							</el-button>
							<el-button size="mini" type="warning" :disabled="!isAuth('recruitListS:update')"
								@click="quxiaoBanner(scope.row)" style="margin: 3px;"
								v-else-if="scope.row.status!=4">取消</el-button>
							<el-button size="mini" type="danger" :disabled="!isAuth('recruitListS:delete')"
								@click="deletes(scope.row)" style="margin: 3px;">删除
							</el-button>
							<!-- <el-button size="mini" type="primary" @click="liulan(scope.row)" style="margin: 3px;">浏览列表
							</el-button> -->
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="tableData.total">
					</el-pagination>
				</div>
			</el-tab-pane>
			<el-dialog :title="title" :visible.sync="dialogFormVisible" center width="80%">
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">招聘企业：</span>
					<el-select v-model="companyId" filterable style="width:50%;" placeholder="请选择招聘企业">
						<el-option v-for="item in qiyeData" :key="item.companyId" :label="item.companyName"
							:value="item.companyId">
						</el-option>
					</el-select>&nbsp;&nbsp;
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">岗位名称：</span>
					<el-select v-model="yijiid" filterable style="width:20%;" placeholder="请选择岗位分类"
						@change="yiSelect()">
						<el-option v-for="item in yijiData" :key="item.ruleClassifyId" :label="item.ruleClassifyName"
							:value="item.ruleClassifyId">
						</el-option>
					</el-select>&nbsp;
					<el-select v-model="erjiId" filterable style="width:20%;" placeholder="请选择二级岗位分类"
						:disabled="erjiTypr" @change="erSelect()">
						<el-option v-for="item in erjiData" :key="item.ruleClassifyId" :label="item.title"
							:value="item.ruleClassifyId">
						</el-option>
					</el-select>&nbsp;
					<el-select v-model="projectName" filterable style="width:20%;" placeholder="请选择岗位"
						:disabled="sanjiTypr" @change="sanSelect()">
						<el-option v-for="item in sanjiData" :key="item.ruleClassifyId" :label="item.ruleClassifyName"
							:value="item.ruleClassifyName">
						</el-option>
					</el-select>&nbsp;
				</div>

				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">职位名称：</span>
					<el-input style="width:50%;" v-model="stationName" placeholder="请输入职位名称"></el-input>
				</div>
				<!-- <div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">邮箱地址：</span>
					<el-input style="width:50%;" v-model="email" placeholder="请输入邮箱地址"></el-input>
				</div> -->

				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">薪资范围：</span>
					<el-select v-model="salaryRange" style="width:50%;" placeholder="请选择薪资范围">
						<el-option v-for="item in qwxzData" :key="item.value" :label="item.value" :value="item.value">
						</el-option>
					</el-select>&nbsp;&nbsp;
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">学历：</span>
					<el-select v-model="education" style="width:50%;" placeholder="请选择学历">
						<el-option v-for="item in xlData" :key="item.value" :label="item.value" :value="item.value">
						</el-option>
					</el-select>&nbsp;&nbsp;
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">经验：</span>
					<el-select v-model="experience" style="width:50%;" placeholder="请选择经验">
						<el-option v-for="item in gzjyData" :key="item.value" :label="item.value" :value="item.value">
						</el-option>
					</el-select>&nbsp;&nbsp;
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">行业：</span>
					<div style="margin-left: 200px;">
						<span v-for="(item,index) in hangyeData" :key="index">{{item.industryName}}:
							<el-checkbox-group v-model="industry">
								<el-checkbox v-for="(item1,index1) in item.childrenList" :label="item1.industryName"
									:key="index1">
									{{item1.industryName}}
								</el-checkbox>
							</el-checkbox-group>
						</span>
					</div>


					<!-- <el-input style="width:50%;" v-model="industry" placeholder="请输入行业"></el-input> -->

					<!-- <el-cascader
					    :options="gzjyData"
					    :props="props"
					    clearable></el-cascader> -->
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">福利：</span>
					<div style="margin-left: 200px;">
						<el-checkbox-group v-model="welfareTag">
							<el-checkbox v-for="(item,index) in flData" :label="item.value" :key="index">
								{{item.value}}
							</el-checkbox>
						</el-checkbox-group>
					</div>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">标签：</span>
					<div class="ruleitem" style="display: inline-block;">
						<el-tag v-for="(item,index) in tagList" :key="index" closable :disable-transitions="false"
							@close="handleClose(index)">
							{{item}}
						</el-tag>
						<el-input class="input-new-tag" v-model="bq" ref="saveTagInput" size="small"
							style="width:120px;" placeholder="请输入标签名" @keyup.enter.native="handleInputConfirm()">
						</el-input>
						<el-button class="button-new-tag" size="small" @click="handleInputConfirm()">添加
						</el-button>
					</div>
				</div>


				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">招聘类型：</span>
					<el-select v-model="postType" style="width:50%;" placeholder="请选择招聘类型">
						<el-option v-for="item in zplxData" :key="item.value" :label="item.value" :value="item.value">
						</el-option>
					</el-select>&nbsp;&nbsp;
				</div>
				<div style="margin-bottom: 10px;position: relative;">
					<span style="width: 200px;display: inline-block;text-align: right;position: absolute;">职位信息：</span>
					<!-- <el-input style="width:50%;margin-left:200px" v-model="positionDetails" type="textarea" :rows="10"
						placeholder="请输入职位信息"></el-input> -->
					<quill-editor ref="myTextEditor" v-model="positionDetails" :options="quillOption"
						style="padding-bottom: 50px;height: 300px;width: 50%;display: inline-table;margin-bottom: 60px;margin-left: 200px;">
					</quill-editor>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">省市区：</span>
					<!-- <el-cascader style="width:50%" size="large" :options="options" ref="cascaderAddr" filterable remote
        		v-model="storeAddress" :placeholder="storeAddre" @change="handleChange55" :value="storeAddre">
        	</el-cascader> -->
					<el-input style="width:200px;" v-model="province" placeholder="请输入省"></el-input>
					<el-input style="width:200px;" v-model="city" placeholder="请输入市"></el-input>
					<el-input style="width:200px;" v-model="district" placeholder="请输入区"></el-input>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">详情地址：</span>
					<el-input style="width:50%;" v-model="address" @keydown.enter.native="selectDw"
						placeholder="请输入详情地址"></el-input>
					<el-button type="primary" plain @click="selectDw()">获取经纬度</el-button>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">经度：</span>
					<el-input style="width:50%;" v-model="longitude" disabled placeholder="请输入经度"></el-input>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">纬度：</span>
					<el-input style="width:50%;" v-model="latitude" disabled placeholder="请输入纬度"></el-input>
				</div>
				<div>
					<div id="container1" style="width:80%;height:500px;margin-left: 10%;"></div>
				</div>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible = false">取 消</el-button>
					<el-button type="primary" @click="addNoticeTo()">确 定</el-button>
				</div>
			</el-dialog>
			<!-- 浏览列表 -->
			<el-dialog title="浏览列表" :visible.sync="dialogFormVisible1" center width="80%">
				<el-table v-loading="tableDataLoading1" :data="tableData2.records">
					<el-table-column prop="userId" label="编号" width="50">
					</el-table-column>
					<el-table-column prop="userName" label="用户昵称">
					</el-table-column>
					<el-table-column label="图像">
						<template slot-scope="scope">
							<img v-if="scope.row.avatar==null" src="~@/assets/img/avatar.png" alt="" width="40"
								height="40">
							<img v-else :src="scope.row.avatar" alt="" width="40" height="40">
						</template>
					</el-table-column>
					<el-table-column prop="phone" label="手机号">
						<template slot-scope="scope">
							<span style="color: #4f9dec;cursor: pointer;" @click="updatesvideo(scope.row)">
								{{ scope.row.phone ? scope.row.phone : '未绑定' }}
							</span>
						</template>
					</el-table-column>
					<el-table-column prop="invitationCode" label="邀请码"></el-table-column>
					<el-table-column label="邀请人邀请码">
						<template slot-scope="scope">
							<span>{{ scope.row.inviterCode ? scope.row.inviterCode : '未绑定' }}</span>
						</template>
					</el-table-column>
					<el-table-column prop="userResumesStatus" label="是否入职">
						<template slot-scope="scope">
							<span v-if="scope.row.userResumesStatus==2||scope.row.userResumesStatus==4">简历隐藏</span>
							<span v-else-if="scope.row.userResumesStatus==3">审核中</span>
							<span v-else>简历展示</span>
						</template>
					</el-table-column>
					<el-table-column prop="updateTime" label="创建时间">
					</el-table-column>
					<el-table-column label="操作" width="160">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" @click="updatesvideo(scope.row)" style="margin: 3px;">
								用户详情
							</el-button>
							<el-button size="mini" type="danger" :disabled="!isAuth('recruitListS:delete')"
								@click="deleteuser(scope.row)">删除记录</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeLl" @current-change="handleCurrentChangeLl"
						:page-sizes="[10, 20, 30, 40]" :page-size="limitL" :current-page="pageL"
						layout="total,sizes, prev, pager, next,jumper" :total="tableData2.total">
					</el-pagination>
				</div>
			</el-dialog>
			<el-dialog title="审核" :visible.sync="dialogFormVisible2" center>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">审核结果：</span>
					<el-radio-group v-model="type">
						<el-radio :label="1">通过</el-radio>
						<el-radio :label="2">拒绝</el-radio>
					</el-radio-group>
				</div>
				<div style="margin-bottom: 10px;">
					<span
						style="width: 200px;display: inline-block;text-align: right;position: relative;top: -70px;">审核理由：</span>
					<el-input style="width:50%;" v-model="content" type="textarea" :rows="4" placeholder="请输入审核理由">
					</el-input>
				</div>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible2 = false">取 消</el-button>
					<el-button type="primary" @click="refuseto()">确 定</el-button>
				</div>
			</el-dialog>

		</el-tabs>
	</div>
</template>

<script>
	import {
		jsonp
	} from 'vue-jsonp'
	import {
		provinceAndCityData,
		regionData,
		provinceAndCityDataPlus,
		regionDataPlus,
		CodeToText,
		TextToCode
	} from 'element-china-area-data'
	var cityOptions = []
	var geocoder, map, markersArray = [];
	import {
		quillEditor
	} from 'vue-quill-editor'
	import 'quill/dist/quill.core.css'
	import 'quill/dist/quill.snow.css'
	import 'quill/dist/quill.bubble.css'
	import quillConfig from '../mission/quill-config.js'
	export default {
		name: 'news',
		components: {
			quillEditor
		},
		data() {
			return {
				page: 1,
				limit: 10,
				tableDataLoading: true,
				tableDataLoading1: true,
				dialogFormVisible: false,
				dialogFormVisible1: false,
				dialogFormVisible2: false,
				tableData: {},
				tableData2: {},
				memberName: '',
				memberImg: '',
				memberId: '',
				sort: '',
				title: '添加',
				activeName: 'first',
				classify: '',
				userName: '',
				phone: '',
				gzjyData: [],
				xlData: [],
				qwxzData: [],
				zplxData: [],
				qiyeData: [],
				options: regionData,
				storeAddress: [],
				storeAddre: '请选择城市',
				province: '', //省
				city: '', //市
				district: '', //区
				address: '',
				companyId: '',
				projectType: '',
				projectName: '',
				email: '',
				stationName: '',
				positionDetails: '',
				salaryRange: '',
				education: '',
				experience: '',
				postType: '',
				yijiid: '',
				erjiId: '',
				yijiData: [],
				erjiData: [],
				sanjiData: [],
				erjiTypr: true,
				sanjiTypr: true,
				resumesEducationT: '',
				userNameT:'',
				resumesWorkExperienceT: '',
				resumesCompensationT: '',
				quillOption: quillConfig,
				hangyeData: [],
				hangyeData2: [],
				industry: [],
				industryIdYi: '',
				hangyeTypr: true,
				props: {
					multiple: true
				},
				postPushId: '',
				openValue: 2,
				closeValue: 5,
				openValue2:1,
				closeValue2:2,
				type: '',
				content: '',
				userId: '',
				pageL: 1,
				limitL: 10,
				flData: [],
				welfareTag: [],
				tagList: [],
				bq: '',
				companyName: '',
				status: '',
				statesnum: [{
						value: '',
						label: '全部'
					},
					{
						value: 1,
						label: '待审核'
					}, {
						value: 2,
						label: '审核通过'
					},
					{
						value: 3,
						label: '审核拒绝'
					}, {
						value: 4,
						label: '已取消'
					}, {
						value: 5,
						label: '已关闭'
					}, {
						value: 6,
						label: '暂存中'
					},
				],
				latitude: '', //纬度
				longitude: '', //经度
				startTime: '',
				endTime: '',
			}
		},
		methods: {
			handleClick(tab, event) {
				this.page = 1
				if (tab._props.label == '招聘列表') {
					this.classify = ''
					this.dataSelect()
				}
			},
			// 获取数据列表
			dataSelect() {
				if (this.startTime != "" && this.startTime !== null) {
					if (this.endTime == '' || this.endTime == null) {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请选择截止时间',
							type: 'warning'
						});
						return
					}
				}
				if (this.endTime != "" && this.endTime !== null) {
					if (this.startTime == '' || this.startTime == null) {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请选择开始时间',
							type: 'warning'
						});
						return
					}
				}
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('postPush/getAdminPostPushList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'ruleClassifyName': this.userName,
						'city': this.phone,
						'education': this.resumesEducationT,
						'experience': this.resumesWorkExperienceT,
						'salaryRange': this.resumesCompensationT,
						'companyName': this.companyName,
						'status': this.status,
						'startTime': this.startTime,
						'endTime': this.endTime,
						// 'userName':this.userNameT,
					})
				}).then(({
					data
				}) => {
					if (data && data.code === 0) {
						console.log('列表', data)
						this.tableDataLoading = false
						let returnData = data.data;
						this.tableData = returnData;
					}

				})
			},
			phoneSelect() {
				this.page = 1
				this.dataSelect()
			},
			cleans() {
				this.page = 1
				this.userName = ''
				this.phone = ''
				this.companyName = ''
				this.resumesEducationT = ''
				this.userNameT = ''
				this.resumesWorkExperienceT = ''
				this.resumesCompensationT = ''
				this.status = ''
				this.startTime = ''
				this.endTime = ''
				this.dataSelect()
			},
			//上传成功
			handleAvatarSuccess(file) {
				this.memberImg = file.data
			},
			addNotice(row) {
				if (row) {
					this.projectName = row.ruleClassifyName
					this.address = row.address
					this.projectType = row.ruleClassifyId
					this.email = row.email
					this.stationName = row.stationName
					this.companyId = row.companyId
					this.positionDetails = row.positionDetails
					this.salaryRange = row.salaryRange
					this.education = row.education
					this.experience = row.experience
					if (row.industry) {
						this.industry = row.industry.split(',');
					} else {
						this.industry = []
					}
					this.postType = row.typeDesc
					this.province = row.province
					this.city = row.city
					this.district = row.county
					this.industryIdYi = row.industryOneId
					this.yijiid = row.classifyOneId
					this.erjiId = row.classifyTwoId
					this.postPushId = row.postPushId
					if (row.welfareTag) {
						this.welfareTag = row.welfareTag.split(',');
					} else {
						this.welfareTag = []
					}
					if (row.tag) {
						this.tagList = row.tag.split(',');
					} else {
						this.tagList = []
					}
					this.latitude = row.lat
					this.longitude = row.lng
					this.storeAddress = []
					this.storeAddre = this.province + '/' + this.city + '/' + this.district
				} else {
					this.projectName = ''
					this.address = ''
					this.projectType = ''
					this.email = ''
					this.stationName = ''
					this.companyId = ''
					this.positionDetails = ''
					this.salaryRange = ''
					this.education = ''
					this.experience = ''
					this.industry = []
					this.postType = ''
					this.province = ''
					this.city = ''
					this.district = ''
					this.welfareTag = []
					this.storeAddress = []
					this.tagList = []
					this.postPushId = ''
					this.storeAddre = '请选择城市'
					this.latitude = ''
					this.longitude = ''

					let data = {
						key: "ZBABZ-ZWECU-UQTVV-4LYDR-COK3F-5SF75", //申请的密钥
						output: "jsonp",
					};
					let url = "https://apis.map.qq.com/ws/location/v1/ip"
					this.$jsonp(url, data).then(res => {
						console.log('获取Ip定位成功----')
						this.longitude = res.result.location.lng
						this.latitude = res.result.location.lat

					}).catch(err => {
						this.$toast('获取Ip定位失败--', err.message)
					})
				}
				this.getMyLocation()
				this.classSelect()
				this.hangyeSelect()
				this.dialogFormVisible = true

			},
			handleCurrentChange(val) {
				this.page = val
				this.dataSelect()
			},
			handleSizeChange(val) {
				this.limit = val
				this.dataSelect()
			},
			handleCurrentChangeLl(val) {
				this.pageL = val
				this.dataSelectLl()
			},
			handleSizeChangeLl(val) {
				this.limitL = val
				this.dataSelectLl()
			},
			// 添加banner图
			addNoticeTo() {
				if (this.companyId === '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择招聘企业',
						type: 'warning'
					});
					return
				}
				if (this.projectName == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '岗位不能为空',
						type: 'warning'
					});
					return
				}
				if (this.stationName == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '职位不能为空',
						type: 'warning'
					});
					return
				}
				// if (this.email == '') {
				// 	this.$notify({
				// 		title: '提示',
				// 		duration: 1800,
				// 		message: '邮箱不能为空',
				// 		type: 'warning'
				// 	});
				// 	return
				// }
				if (this.salaryRange == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '薪资范围不能为空',
						type: 'warning'
					});
					return
				}
				if (this.education == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '学历不能为空',
						type: 'warning'
					});
					return
				}
				if (this.experience == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '经验不能为空',
						type: 'warning'
					});
					return
				}
				if (this.industry.length == 0) {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '行业不能为空',
						type: 'warning'
					});
					return
				}
				if (this.welfareTag.length == 0) {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '福利不能为空',
						type: 'warning'
					});
					return
				}
				if (this.address === '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '地址不能为空',
						type: 'warning'
					});
					return
				}
				if (this.typeDesc == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '招聘类型不能为空',
						type: 'warning'
					});
					return
				}
				if (this.positionDetails == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '职位信息不能为空',
						type: 'warning'
					});
					return
				}



				// this.classify = 1
				if (this.title == '添加') {
					var url = 'postPush/savePostPush'
				} else {
					var url = 'postPush/savePostPush'
				}
				this.$http({
					url: this.$http.adornUrl(url),
					method: 'post',
					data: this.$http.adornData({
						// params: this.$http.adornParams({
						'ruleClassifyName': this.projectName,
						'address': this.address,
						'ruleClassifyId': this.projectType,
						'email': this.email,
						'stationName': this.stationName,
						'companyId': this.companyId,
						'positionDetails': this.positionDetails,
						'salaryRange': this.salaryRange,
						'education': this.education,
						'experience': this.experience,
						'industry': this.industry.toString(),
						'postType': this.typeDesc,
						'province': this.province,
						'city': this.city,
						'county': this.district,
						'industryOneId': this.industryIdYi,
						'classifyOneId': this.yijiid,
						'classifyTwoId': this.erjiId,
						'postPushId': this.postPushId,
						'welfareTag': this.welfareTag.toString(),
						'tag': this.tagList.toString(),
						'lat': this.latitude,
						'lng': this.longitude,

					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.dialogFormVisible = false
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}

				})
			},
			// 修改
			amendBanner(rows) {
				this.dialogFormVisible = true
				this.postPushId = rows.postPushId
				this.projectName = rows.ruleClassifyName
				this.address = rows.address
				this.projectType = rows.ruleClassifyId
				this.email = rows.email
				this.stationName = rows.stationName
				this.companyId = rows.companyId
				this.positionDetails = rows.positionDetails
				this.salaryRange = rows.salaryRange
				this.education = rows.education
				this.experience = rows.experience
				if (rows.industry) {
					this.industry = rows.industry.split(',')
				}

				this.postType = rows.typeDesc
				this.province = rows.province
				this.city = rows.city
				this.district = rows.county
				this.storeAddre = rows.province + '/' + rows.city + '/' + rows.county
				this.industryIdYi = rows.industryOneId
				this.yijiid = rows.classifyOneId
				this.erjiId = rows.classifyTwoId
				this.industry = []
				this.title = '修改'
				this.classSelect()
				this.hangyeSelect()
			},

			//删除
			deletes(row) {
				let delid = row.memberId
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('postPush/deletePostPush'),
						method: 'post',
						params: this.$http.adornParams({
							'userId': row.userId,
							'postPushId': row.postPushId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}

					})
				}).catch(() => {})
			},
			// 用户详情跳转
			updatesvideo(row) {
				this.$router.push({
					path: '/userDetail',
					query: {
						userId: row.userId
					}
				})
			},
			// 企业用户详情跳转
			updates(userId) {
				if(userId){
					this.$router.push({
						path: '/userDetailQ',
						query: {
							userId: userId
						}
					})
				}
				
			},
			// 工作经验
			gzjySelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '工作经验'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.gzjyData = returnData
				})
			},
			// 学历
			xlSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '学历'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.xlData = returnData
				})
			},
			// 期望薪资
			qwxzSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '薪资'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.qwxzData = returnData
				})
			},
			// 招聘类型
			zplxSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '招聘类型'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.zplxData = returnData
				})
			},
			// 企业列表
			qiyeSelect() {
				this.$http({
					url: this.$http.adornUrl('company/selectCompanyList'),
					method: 'get',
					params: this.$http.adornParams({
						'status': 2,
						'userName': '',
						'companyPhone': '',
						'companyName': '',
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.qiyeData = returnData.records
				})
			},
			// 福利
			flSelect() {
				this.$http({
					url: this.$http.adornUrl('sys/dict/selectDictList'),
					method: 'get',
					params: this.$http.adornParams({
						'type': '项目福利'
					})
				}).then(({
					data
				}) => {
					let returnData = data.data
					this.flData = returnData
				})
			},
			// 获取省市区
			handleChange55(value) {
				value = this.$refs['cascaderAddr'].currentLabels
				this.province = value[0]
				this.city = value[1]
				this.district = value[2]
				// this.form.city = value[1]
				if (this.city == '市辖区') {
					this.city = this.province
				}
				// var regions = this.region
				// regions = regions.slice(0, regions.length - 1)
				// this.region = regions
				console.log(this.$refs['cascaderAddr'].currentLabels)
			},
			// 一级岗位选项
			yiSelect() {
				this.classSelectEr()
				this.erjiTypr = false
			},
			// 二级岗位选项
			erSelect() {
				console.log('erjiId', )
				for (var i in this.erjiData) {
					if (this.erjiId == this.erjiData[i].ruleClassifyId) {
						if (this.erjiData[i].childrens) {
							this.sanjiData = this.erjiData[i].childrens
						} else {
							this.sanjiData = []
						}

					}
				}
				this.sanjiTypr = false
			},
			// 三级岗位选项
			sanSelect() {
				for (var i in this.sanjiData) {
					if (this.projectName == this.sanjiData[i].ruleClassifyName) {
						this.projectType = this.sanjiData[i].ruleClassifyId
					}
				}
			},
			// 获取一级岗位数据
			classSelect() {
				this.$http({
					url: this.$http.adornUrl('admin/rule/adminGetClassifyList'),
					method: 'get',
					params: this.$http.adornParams({

						// 'page': this.page,
						// 'limit': this.limit,
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.tableDataLoading = false
						let returnData = data.data
						this.yijiData = returnData.records
						// this.erjiTypr = false
						if (this.title == '修改') {
							this.classSelectEr()
						}
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}

				})
			},
			// 获取二级岗位数据
			classSelectEr() {
				this.$http({
					url: this.$http.adornUrl('admin/rule/adminGetParentId'),
					method: 'get',
					params: this.$http.adornParams({
						'parentId': this.yijiid,
						'industryName': '',
						// 'page': this.page,
						// 'limit': this.limit,
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.tableDataLoading = false
						let returnData = data.data
						this.erjiData = returnData.records
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}

				})
			},
			// 行业分类
			hanyeSelect() {
				this.hangyeSelectEr()
				this.hangyeTypr = false
			},
			// 获取一级行业数据
			hangyeSelect() {
				this.$http({
					url: this.$http.adornUrl('admin/industry/getIndustryList'),
					method: 'get',
					params: this.$http.adornParams({
						'isEnable': 1
						// 'page': this.page,
						// 'limit': this.limit,
						// 'industryName':'',

					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.tableDataLoading = false
						let returnData = data.data
						this.hangyeData = returnData
						console.log('this.hangyeData', this.hangyeData)
						// this.erjiTypr = false
						if (this.title == '修改') {
							this.hangyeSelectEr()
						}
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}

				})
			},
			// 获取二级行业数据
			hangyeSelectEr() {
				this.$http({
					url: this.$http.adornUrl('admin/industry/adminGetIndustryList'),
					method: 'get',
					params: this.$http.adornParams({
						'industryName': '',
						// 'page': this.page1,
						// 'limit': this.size1,
						'parentId': this.industryIdYi

					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.tableDataLoading = false
						let returnData = data.data
						this.hangyeData2 = returnData.records
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}

				})
			},
			// 状态
			change(postPushId, userId) {
				if(userId){
					this.$http({
						url: this.$http.adornUrl('postPush/closeOrOpen'),
						method: 'get',
						params: this.$http.adornParams({
							'postPushId': postPushId,
							'userId': userId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '操作成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						}
					
					})
				}else{
					this.$message({
						message: '当前用户信息有误',
						type: 'warning',
						duration: 1500,
						onClose: () => {
						}
					})
				}
				
			},
			// 是否推荐
			changeTj(postPushId, isRecommend) {
				this.$http({
					url: this.$http.adornUrl('postPush/updatePostPushIsRecommend'),
					method: 'post',
					params: this.$http.adornParams({
						'postPushId': postPushId,
						'isRecommend':isRecommend
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
							}
						})
					}

				})
			},
			// 审核弹框
			shenhe(row) {
				this.type = ''
				this.content = ''
				this.postPushId = row.postPushId
				this.dialogFormVisible2 = true
			},
			// 审核结果
			refuseto() {
				if (this.type == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择审核结果',
						type: 'warning'
					});
					return
				}
				if (this.type == 2) {
					if (this.content == '') {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: '请输入审核原因',
							type: 'warning'
						});
						return
					}
				}
				this.$http({
					url: this.$http.adornUrl('postPush/auditPostPush'),
					method: 'post',
					params: this.$http.adornParams({
						'status': this.type,
						'ids': this.postPushId,
						'content': this.content
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								this.dataSelect()
								this.dialogFormVisible2 = false
							}
						})
					} else {
						this.$message({
							message: data.msg,
							type: 'warning',
							duration: 1500,
							onClose: () => {}
						})
					}

				})
			},
			// 取消招聘操作
			quxiaoBanner(row) {
				this.$confirm(`取消当前招聘订单吗?点击确认后，将退回当前订单的金额`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					console.log('-----------------',row)
					this.$http({
						url: this.$http.adornUrl('postPush/cancelPostPush'),
						method: 'post',
						params: this.$http.adornParams({
							'userId': row.userId,
							'postPushId': row.postPushId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '操作成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelect()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}

					})
				}).catch(() => {})
			},
			// 浏览弹框
			liulan(row) {
				this.userId = row.postPushId
				this.dialogFormVisible1 = true
				this.dataSelectLl()
			},
			// 浏览用户列表
			dataSelectLl() {
				this.tableDataLoading1 = true
				this.$http({
					url: this.$http.adornUrl('admin/userBrowse/getUserByBrowse'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.pageL,
						'limit': this.limitL,
						'postPushId': this.userId,
					})
				}).then(({
					data
				}) => {
					if (data && data.code === 0) {
						console.log('列表', data)
						this.tableDataLoading1 = false
						let returnData = data.data;
						this.tableData2 = returnData;
					}

				})
			},
			//删除记录
			deleteuser(row) {
				// return console.log('删除浏览记录')
				let delid = row.userId
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('admin/userBrowse/deleteUserByBrowse'),
						method: 'get',
						params: this.$http.adornParams({
							'postPushId': row.userId
						})
					}).then(({
						data
					}) => {
						if (data.code == 0) {
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.dataSelectLl()
								}
							})
						} else {
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {}
							})
						}
					})
				})
			},
			// 添加标签
			handleInputConfirm() {
				this.tagList.push(this.bq)
				this.bq = ''
			},
			// 删除标签
			handleClose(index) {
				this.tagList.splice(index, 1);

			},
			// 地图------------------
			//定位获得当前位置信息
			getMyLocation() {
				var geolocation = new qq.maps.Geolocation("VJGBZ-NTQKU-6DMVE-2DMR5-5UIPF-AGFER", "代驾管理管理");
				geolocation.getIpLocation(this.showPosition, this.showErr);
				// geolocation.getLocation(this.showPosition, this.showErr);//或者用getLocation精确度比较高
			},
			showPosition(position) {
				console.log(position);
				// this.latitude = position.lat;
				// this.longitude = position.lng;
				// this.city = position.city;
				this.setMap();
			},
			showErr(e) {
				console.log("定位失败", e);
				this.getMyLocation(); //定位失败再请求定位，测试使用
			},
			//位置信息在地图上展示
			setMap() {
				//步骤：定义map变量 调用 qq.maps.Map() 构造函数   获取地图显示容器
				//设置地图中心点
				var myLatlng = new qq.maps.LatLng(this.latitude, this.longitude);
				//定义工厂模式函数
				var myOptions = {
					zoom: 13, //设置地图缩放级别
					center: myLatlng, //设置中心点样式
					mapTypeId: qq.maps.MapTypeId.ROADMAP //设置地图样式详情参见MapType
				}
				// //获取dom元素添加地图信息
				var map = new qq.maps.Map(document.getElementById("container1"), myOptions);
				//给地图添加点击事件

				//给定位的位置添加图片标注
				var marker = new qq.maps.Marker({
					position: myLatlng,
					map: map
				});
				// `````````````
				var that = this;
				if (that.longitude == '') {
					var center = new qq.maps.LatLng(34.34281541842994, 108.93970884382725);
				} else {
					var center = new qq.maps.LatLng(that.latitude, that.longitude);
				}

				map = new qq.maps.Map(document.getElementById("container1"), {
					center: center,
					zoom: 13
				});
				var marker = new qq.maps.Marker({
					position: center,
					map: map
				});
				var latlngBounds = new qq.maps.LatLngBounds();
				qq.maps.event.addListener(map, "click", function(event) {
					console.log(event, qq.maps);
					that.longitude = event.latLng.getLng(); // 经度
					that.latitude = event.latLng.getLat(); // 纬度
					jsonp('https://apis.map.qq.com/ws/geocoder/v1/?location=' + event.latLng.getLat() + ',' + event
						.latLng.getLng() + '&key=SZWBZ-QDWC3-M233R-YDXW5-TZT7Q-S4FJ7&get_poi=1&output=jsonp', {
							myCustomUrlParam: 'veryNice'
						}).then(response => {
						console.log('response', response)
						that.address = response.result.formatted_addresses.recommend

					}).catch(error => {
						// handle error
					}).then(() => {
						// always executed
					});
					if (markersArray) {
						for (let i in markersArray) {
							markersArray[i].setMap(null);
						}
					}
					var marker = new qq.maps.Marker({
						map: map,
						position: event.latLng
					});
					markersArray.push(marker);

				});
				geocoder = new qq.maps.Geocoder({
					complete: function(result) {
						console.log(result);
						that.longitude = result.detail.location.lng;
						that.latitude = result.detail.location.lat;
						map.setCenter(result.detail.location);
						var marker = new qq.maps.Marker({
							map: map,
							position: result.detail.location
						});
						markersArray.push(marker);
					}
				});
			},
			// 地图定位
			selectDw() {
				console.log(this.address, this.address.replace(/^\s+|\s+$/gm, ''))

				if (this.address == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入详细地址',
						type: 'warning'
					});
					return
				} else {
					var add = this.province + this.city + this.district + this.address
					let that = this
					jsonp('https://apis.map.qq.com/ws/geocoder/v1/?address==' + add +
						'&key=VJGBZ-NTQKU-6DMVE-2DMR5-5UIPF-AGFER&get_poi=1&output=jsonp', {
							myCustomUrlParam: 'veryNice'
						}).then(response => {
						// handle success
						if (response.message == '查询无结果') {
							this.$notify({
								title: '提示',
								duration: 1800,
								message: '详细地址输入有误，请重新输入',
								type: 'warning'
							});
							return
						}
						console.log('response', response)
						that.longitude = response.result.location.lng; // 经度
						that.latitude = response.result.location.lat; // 纬度
						// that.address = response.result.address_components.province + response.result.address_components
						// 	.city + response.result.address_components.district + response.result.title
						that.setMap()
					}).catch(error => {
						// handle error
					}).then(() => {
						// always executed
					});
				}

			},
			// 导出
			exportBtn() {
				// var endTime = this.endTime
				// if (this.endTime != '') {
				// 	endTime = this.endTime + " 23:59:59"
				// }
				this.$http({
					url: this.$http.adornUrl('postPush/postPushExcelOut'),
					method: 'get',
					responseType: 'blob',
					params: this.$http.adornParams({
						// 'page': page,
						// 'size': this.size,
						'ruleClassifyName': this.userName,
						'city': this.phone,
						'education': this.resumesEducationT,
						'experience': this.resumesWorkExperienceT,
						'salaryRange': this.resumesCompensationT,
						'companyName': this.companyName,
						'status': this.status,
						'startTime': this.startTime,
						'endTime': this.endTime,
						// 'userName':this.userNameT,
					})
				}).then(({
					data
				}) => {
					let blob = new Blob([data], {
						type: 'application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
					})
					if (window.navigator.msSaveOrOpenBlob) {
						navigator.msSaveBlob(blob)
					} else {
						let url = window.URL.createObjectURL(blob)
						let elink = document.createElement('a')
						elink.download = '招聘列表.xlsx'
						elink.style.display = 'none'
						elink.href = url
						document.body.appendChild(elink)
						elink.click()
						document.body.removeChild(elink)
					}
				})
			},
		},
		mounted() {
			this.dataSelect()
			this.gzjySelect()
			this.xlSelect()
			this.qwxzSelect()
			this.zplxSelect()
			this.qiyeSelect()
			this.flSelect()

		}
	}
</script>

<style>
</style>